import java.util.*;

public class Fibonacci {
	public static void main(String[] args) {

		Scanner stdin = new Scanner( System.in );

		System.out.print("Number of Fibonacci values: ");
		int n = stdin.nextInt( ) ;

		if ( n < 1 ) {
			System.out.println(n + ": illegal size");
		}
		else if ( n == 1 ) {
			System.out.println("1   1");
		}
		else {
			System.out.println("1   1");
			System.out.println("2   1");

			int prev1 = 1;
			int prev2 = 1;

			for (int i = 3; i <= n; ++i) {
				int curr = prev1 + prev2;
				System.out.println(i + "   " + curr);
				prev2 = prev1;
				prev1 = curr;
			}
		}
	}
}
