// Lists contents of a user-specified file 

import java.util.*;
import java.io.*;

public class FileLister {

	// main(): application entry point
	public static void main(String [] args) throws IOException {
		// set up standard input stream 
		Scanner stdin = new Scanner(System.in) ;

		// determine filename
		System.out.print("Filename: ");
		String filename = stdin.nextLine();

		// set up file stream 
		File file = new File(filename) ;
		Scanner fileIn = new Scanner(file) ;

		while (fileIn.hasNext()) {
			// get next line 
			String currentLine = fileIn.nextLine();

			// display current line 
			System.out.println(currentLine);
		}

		// close the file stream
		fileIn.close();
	}
}

